Subject: Re: #!/bin/sh troubles
From: [email-masked] (Christopher Seawood)

28 Dec 1998 16:49:31 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

On Mon, 7 Dec 1998, it was written:

> 
> I copied b20.1's sh.exe to /bin/sh and cp removed the execute permissions.
> Chmod'ing the binary did not work either.  So I moved /bin/sh to 
> /bin/sh.exe.  Autoconf runs and spits 6 lines of control chars, each
> ending with ": not found".  Then it spits out
>      /bin/sh.exe: 11: Syntax error: ")" unexpected.  
> 

Well, I was playing with the problem again today when I accidentally
typed:  sh /bin/sh.exe .  And surprise, I got the same 6 lines of control
chars so could it be that sh is attempting to run itself instead of the
shell script that calls it when I try to run just ./configure or autoconf?

Regards,
Christopher

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".